List Workspace Members
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"members": [
{
"userId": "<string>",
"workspaceId": "<string>",
"role": "ADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
],
"invitations": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"workspaceId": "<string>",
"type": "ADMIN"
}
]
}Members
List Workspace Members
List members and invitations for a workspace.
GET
/
v3
/
workspaces
/
{workspaceId}
/
members
List Workspace Members
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"members": [
{
"userId": "<string>",
"workspaceId": "<string>",
"role": "ADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
],
"invitations": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"workspaceId": "<string>",
"type": "ADMIN"
}
]
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.